Bug 1248700 - WebKitGTK3 2.4.1 and later can't render a Google Maps link
WebKitGTK3 2.4.1 and later can't render a Google Maps link
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: webkitgtk3 (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 12:04 EDT by Simon Farnsworth
Modified: 2015-12-02 13:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:43:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Farnsworth 2015-07-30 12:04:23 EDT
Description of problem:

If I run:

$ /usr/libexec/webkitgtk3/GtkLauncher 'https://www.google.co.uk/maps/place/London+EC3R+7QR/@51.5088482,-0.0838781,3299m/data=!3m1!1e3!4m2!3m1!1s0x4876034dd95b340b:0xfc61f37d4a7248f3?hl=en'

using webkitgtk3-2.4.0-1.fc21, it renders fully. If I update to 2.4.1-2.fc21 or later (up to and including webkitgtk3-2.4.9-1.fc21.x86_64), the grey grid draws, but the map tiles over the top of the grid fail to draw.

Version-Release number of selected component (if applicable):

webkitgtk3-2.4.9-1.fc21.x86_64

How reproducible:

Every time.

Steps to Reproduce:
1. Update webkitgtk3 from 2.4.0-1 to any later version
2. Run /usr/libexec/webkitgtk3/GtkLauncher 'https://www.google.co.uk/maps/place/London+EC3R+7QR/@51.5088482,-0.0838781,3299m/data=!3m1!1e3!4m2!3m1!1s0x4876034dd95b340b:0xfc61f37d4a7248f3?hl=en'

Actual results:

Grey grid draws, aerial photo tiles above the grid do not render

Expected results:

Aerial photo tiles render, as per previous versions of webkitgtk3 and as per other browsers.

Additional info:

I can't work out how to set up a git clone of webkitgtk3 that would let me bisect between 2.4.0 and 2.4.1 to find the problem patchset - if there's a guide to doing so, I'm happy to learn.
Comment 1 Fedora End Of Life 2015-11-04 05:44:15 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 09:43:25 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.